[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:050363] Re: MesaLib をインストールすると元にもどってしまう


ながおかです。

おそらくはNVIDIAのライブラリではなく、Mesaのライブラリが使用されている為
にそのような話になっているのでは無いかと思います。
まずRPMSAVEの方はMesaのGLのはずですので、戻さない方が良いと思います。
それから、MesaのGLはXFree86に標準でついているはずで、RPMSAVEされているの
はそっちの方(RPMSAVEの方)だと思います。
tar玉からコンパイルしたのであれば、おそらくはそれ以外の場所にtar玉からコ
ンパイルしたMesaのファイルがあるはずですので、たぶんNVIDIAのライブラリで
は無くてそちらが使用されてしまっているのでは無いかと思います。
とりあえずそれを探して退避してやるなりして見れば良いのでは無いかと思いま
す。

(「たぶん」とか「おそらく」が多くてすみません。あまりはっきりとわからな
いので。。。)

ではでは


On Sun, 12 May 2002 15:02:34 +0900
"makoto abe" <rikurou _at_ mx5.et.tiki.ne.jp> wrote:

> TuxRacerだけでなくいろいろソフトを試そうとすると
> MesaGLが必要になるらしく
> 
> http://www.mesa3d.org より
> MesaLib-4.0.2.tar.gz
> 
> を
> $ tar zxvf MesaLib-4.0.2.tar.gz
> $ tar Mesa-4.0.2
> $./configure
> $make
> $su
> $make install
> 
> でインストールできたと思ったら
> ハードウェアアクセラレーションが効かなくなりました
> 
> 一度 
> $rpm -e NVIDIA_GLX-1.0-2880
> でアンインストールした後
> もう一度
> $rpm -ivh NVIDIA_GLX-1.0-2880.i386.rpm
> とすると
> 
>  --- WARNING!!
>       libGLcore.a
>       libGL.so
>       libGL.so.1.2
>  --- The above file(s) possibly belong to a conflicting MESA rpm.
>  --- They have been renamed to xxx.<originalFile>.RPMSAVE to
>  --- avoid conflicting with the files contained within this
>  --- package.
>  --- Please see the FREQUENTLY ASKED QUESTIONS section of
>  --- /usr/share/doc/NVIDIA_GLX-1.0/README for more details.
> 
> 
> /usr/X11R6/lib/modules/extensions/xxx.libGLcore.a.RPMSAVE
> /usr/X11R6/lib/xxx.libGL.so.1.2.RPMSAVE
> /usr/X11R6/lib/xxx.libGL.so.RPMSAVE
> もしかしてxxx.と.RPMSAVEを外してしまえばうまく行くんでしょうか?
> と直感的に考えてやってみても変化ナシです。
> 
> 
> 
> 

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
References: